
Redmine - Defect #11737

redmine 2.0.3  Weekly Time组件导出PDF时出错！

2012-08-30 07:05 - long yanlong

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

程序安装时已执行：bundle install --without development test rmagick  请问是为什么！

程序报错

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

日志保存如下：

Started GET "/wktime/export?mon=2012-07-30&user_id=9&format=pdf" for 100.180.2.2

53 at Thu Aug 30 12:57:39 +0800 2012

Processing by WktimeController#export as PDF

Parameters: {"mon"=>"2012-07-30", "user_id"=>"9"}

Completed 500 Internal Server Error in 31ms

NameError (uninitialized constant RFPDF::Magick):

lib/plugins/rfpdf/lib/core/rmagick.rb:28:in `getimagesize'

lib/plugins/rfpdf/lib/tcpdf.rb:2878:in `parsejpg'

lib/plugins/rfpdf/lib/tcpdf.rb:2062:in `Image'

History

#1 - 2012-09-01 14:53 - Jean-Philippe Lang

- Description updated

- Status changed from New to Closed

- Resolution set to Invalid

Sorry no plugin request here.
